# Ogre::VertexCacheProfiler Class Reference

Vertex cache profiler. More...

`#include <OgreVertexIndexData.h>`

List of all members.

## Public Types

enum | CacheType { FIFO, LRU }

## Public Member Functions

| VertexCacheProfiler (unsigned int cachesize=16, CacheType cachetype=FIFO)
| ~VertexCacheProfiler ()
void | profile (const HardwareIndexBufferSharedPtr indexBuffer)
void | reset ()
void | flush ()
unsigned int | getHits ()
unsigned int | getMisses ()
unsigned int | getSize ()

## Private Member Functions

bool | inCache (unsigned int index)

## Private Attributes

unsigned int | size
uint32 * | cache
CacheType | type
unsigned int | tail
unsigned int | buffersize
unsigned int | hit
unsigned int | miss

## Detailed Description

Vertex cache profiler.

Remarks:
  Utility class for evaluating the effectiveness of the use of the vertex cache by a given index buffer.

Definition at line 224 of file OgreVertexIndexData.h.

## Member Enumeration Documentation

enum Ogre::VertexCacheProfiler::CacheType

Enumeration values:

  FIFO |
  LRU |

Definition at line 227 of file OgreVertexIndexData.h.

## Constructor & Destructor Documentation

Ogre::VertexCacheProfiler::VertexCacheProfiler | ( | unsigned int | cachesize = `16`,
|  | CacheType | cachetype = `FIFO`
| ) |

| Definition at line 231 of file OgreVertexIndexData.h.

Ogre::VertexCacheProfiler::~VertexCacheProfiler | ( |  | ) |

| Definition at line 237 of file OgreVertexIndexData.h.

## Member Function Documentation

void Ogre::VertexCacheProfiler::flush | ( |  | ) |

| Definition at line 244 of file OgreVertexIndexData.h.

unsigned int Ogre::VertexCacheProfiler::getHits | ( |  | ) |

| Definition at line 246 of file OgreVertexIndexData.h.

unsigned int Ogre::VertexCacheProfiler::getMisses | ( |  | ) |

| Definition at line 247 of file OgreVertexIndexData.h.

unsigned int Ogre::VertexCacheProfiler::getSize | ( |  | ) |

| Definition at line 248 of file OgreVertexIndexData.h.

bool Ogre::VertexCacheProfiler::inCache | ( | unsigned int | index | ) | `[private]`

void Ogre::VertexCacheProfiler::profile | ( | const HardwareIndexBufferSharedPtr | indexBuffer | ) |

void Ogre::VertexCacheProfiler::reset | ( | void |  | ) |

| Definition at line 243 of file OgreVertexIndexData.h.

## Member Data Documentation

unsigned int Ogre::VertexCacheProfiler::buffersize `[private]`

| Definition at line 254 of file OgreVertexIndexData.h.

uint32* Ogre::VertexCacheProfiler::cache `[private]`

| Definition at line 251 of file OgreVertexIndexData.h.

unsigned int Ogre::VertexCacheProfiler::hit `[private]`

| Definition at line 255 of file OgreVertexIndexData.h.

unsigned int Ogre::VertexCacheProfiler::miss `[private]`

| Definition at line 255 of file OgreVertexIndexData.h.

unsigned int Ogre::VertexCacheProfiler::size `[private]`

| Definition at line 248 of file OgreVertexIndexData.h.

unsigned int Ogre::VertexCacheProfiler::tail `[private]`

| Definition at line 254 of file OgreVertexIndexData.h.

CacheType Ogre::VertexCacheProfiler::type `[private]`

| Definition at line 252 of file OgreVertexIndexData.h.

The documentation for this class was generated from the following file:

- OgreVertexIndexData.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 17 15:44:19 2006